//
//  RCTAuroraIMUIModule.m
//  RCTAuroraIMUIModule
//
//  Created by oshumini on 2017/6/1.
//  Copyright © 2017年 HXHG. All rights reserved.
//

#import "RCTAuroraIMUIModule.h"
#import <RCTAuroraIMUI/RCTAuroraIMUI-Swift.h>

@interface RCTAuroraIMUIModule () {
}

@end

@implementation RCTAuroraIMUIModule
RCT_EXPORT_MODULE();

@synthesize bridge = _bridge;

+ (id)allocWithZone:(NSZone *)zone {
  static RCTAuroraIMUIModule *sharedInstance = nil;
  static dispatch_once_t onceToken;
  dispatch_once(&onceToken, ^{
    sharedInstance = [super allocWithZone:zone];
  });
  return sharedInstance;
}

- (id)init {
  [[NSNotificationCenter defaultCenter] removeObserver:self];
  
  [[NSNotificationCenter defaultCenter] addObserver:self
                                           selector:@selector(messageDidLoad:)
                                               name:kMessageListDidLoad object:nil];
  self = [super init];
  return self;
}

- (void)messageDidLoad:(NSNotification *) notification {
  [self.bridge.eventDispatcher sendAppEventWithName:@"IMUIMessageListDidLoad"
                                               body:nil];
}

RCT_EXPORT_METHOD(appendMessages:(NSArray *)messages) {
  [[NSNotificationCenter defaultCenter] postNotificationName:kAppendMessages object: messages];
}

RCT_EXPORT_METHOD(removeMessage:(NSString *)messageId) {
  [[NSNotificationCenter defaultCenter] postNotificationName:kRemoveMessage object: messageId];
}

RCT_EXPORT_METHOD(updateMessage:(NSDictionary *)message) {
  [[NSNotificationCenter defaultCenter] postNotificationName:kUpdateMessge object: message];
}

RCT_EXPORT_METHOD(insertMessagesToTop:(NSArray *)messages) {
  [[NSNotificationCenter defaultCenter] postNotificationName:kInsertMessagesToTop object: messages];
}

RCT_EXPORT_METHOD(scrollToBottom:(BOOL) animate) {
  [[NSNotificationCenter defaultCenter] postNotificationName:kScrollToBottom object: @(animate)];
}

RCT_EXPORT_METHOD(hidenFeatureView:(BOOL) animate) {
  [[NSNotificationCenter defaultCenter] postNotificationName:kHidenFeatureView object: @(animate)];
}

RCT_EXPORT_METHOD(stopPlayVoice) {
  [[IMUIAudioPlayerHelper sharedInstance] stopAudio];
}

@end
